Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.parse
Class JcrSqlQueryParser.JoinableSources

    java.lang.Object
      org.modeshape.jcr.query.parse.JcrSqlQueryParser.JoinableSources

All Implemented Interfaces:
  Serializable, Source, LanguageObject, Visitable

Enclosing class:
  JcrSqlQueryParser

    protected static class JcrSqlQueryParser.JoinableSources

extends Object
implements Source

See Also:
  Serialized Form

Constructor Summary
`protected` | `JcrSqlQueryParser.JoinableSources(Selector firstSelector, Position position)`

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`void` | `add(SameNodeJoinCondition joinCondition, Position position)`
`void` | `add(Selector selector, Position position)`
`List<SameNodeJoinCondition>` | `getJoinConditions()`
`Position` | `getJoinCriteriaPosition()`
`Position` | `getPositionForSelector(String selector)`
`Map<String,Selector>` | `getSelectors()`
`Iterable<String>` | `selectorNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrSqlQueryParser.JoinableSources

    protected JcrSqlQueryParser.JoinableSources(Selector firstSelector,
                                                Position position)

Method Detail

### add

    public void add(Selector selector,
                    Position position)

### add

    public void add(SameNodeJoinCondition joinCondition,
                    Position position)

### selectorNames

    public Iterable<String> selectorNames()

### getJoinConditions

    public List<SameNodeJoinCondition> getJoinConditions()

  Returns:
    joinConditions

### getSelectors

    public Map<String,Selector> getSelectors()

  Returns:
    selectors

### getJoinCriteriaPosition

    public Position getJoinCriteriaPosition()

  Returns:
    joinCriteriaPosition

### getPositionForSelector

    public Position getPositionForSelector(String selector)

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.